package org.rominos2.SeasonsMobSpawn.Listeners;

import org.bukkit.event.entity.CreatureSpawnEvent;
import org.bukkit.event.entity.CreatureSpawnEvent.SpawnReason;
import org.bukkit.event.entity.EntityListener;
import org.rominos2.SeasonsMobSpawn.SeasonsMobSpawn;
import org.rominos2.SeasonsMobSpawn.SeasonsMobSpawnManager;

public class SeasonsMobSpawnEntityListener extends EntityListener {
	private SeasonsMobSpawn plugin;
	
	public SeasonsMobSpawnEntityListener(SeasonsMobSpawn instance) {
		this.plugin = instance;
	}//SeasonsSpawnMobSeasonsListener
	
	public void onCreatureSpawn(CreatureSpawnEvent event) {
		if (event.isCancelled()) {
			return;
		}//if already cancelled
		if (!(event.getSpawnReason().equals(SpawnReason.NATURAL) || event.getSpawnReason().equals(SpawnReason.BED))) {
			return;
		}//if natural spawn

		SeasonsMobSpawnManager spawnManager = this.plugin.getSpawnManager(event.getEntity().getWorld());
		if (spawnManager==null || !spawnManager.isActive()) {
			return;
		}//if null or not active
		
		if (!spawnManager.canMobSpawn(event.getCreatureType())) {
			event.setCancelled(true);
		}//if can't spawn
	}//onCreatureSpawn
	
}//class SeasonsSpawnMobSeasonsListener
